    Gaussian function for modeling absorption (log of fwhm).

logabsorption

This model is intended to be used to modify another model (e.g. by multiplying the two together). It is for use when the independent axis is in Angstroms.

>>> create_model_component("logabsorption", "mdl")
>>> print(mdl)

Create a component of the logabsorption model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 100 1.17549e-38 3.40282e+38 km/s mdl.pos frozen 5000 1.17549e-38 3.40282e+38 angstroms mdl.tau thawed 0.5 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The full-width half-maximum of the feature in km/s.
pos
The center of the feature, in Angstroms.
tau
The optical depth of the feature.

Notes

The functional form of the model for points is:

f(x) = exp(-tau * (x / pos)^(term * alpha))

term = -1 if x >= pos

= 1 otherwise

alpha = log(2) / log(1 + 0.5 * fwhm / c)

and for integrated data sets the low-edge of the grid is used.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023